Difference between revisions of "Draft Facebinder/tr"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Yüz kaplamanın yerleşimi, {{incode | Placement}} özniteliğinin üzerine yazarak veya {{incode | Placement.Base}} ve {{incode | Placement.Rotation}} özniteliklerinin üze...")
(Created page with "{{Draft Tools navi/tr}} {{Userdocnavi/tr}}")
Line 77: Line 77:
 
}}
 
}}
  
{{Draft Tools navi}}
+
{{Draft Tools navi/tr}}
{{Userdocnavi}}
+
{{Userdocnavi/tr}}
 
{{clear}}
 
{{clear}}

Revision as of 00:13, 27 January 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Official icon not found Yüz kaplama

Menü konumu
Taslak → Yüz kaplama
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
F F
Versiyonda tanıtıldı
0.14
Ayrıca bkz
Parça Kutu, Mimari Duvar


Açıklama

Yüz kaplama aracı, katı bir nesnenin seçilen yüzlerinden bir yüzey nesnesi oluşturur. Parametriktir, yani eğer orijinal nesneyi değiştirirseniz, Facebinder buna göre güncellenir. Facebinder'ı hareket ettirip döndürürseniz, orijinal yüzlere bağlı kalacaktır.

Başka nesnelerden gelen bir yüz koleksiyonundan bir ekstrüzyon oluşturmak için kullanılabilir. Mimari tasarımda , örneğin duvar kağıdı veya duvar kaplaması gibi çeşitli duvarları kapsayan bir nesneyi inşa etmek tipik bir kullanımdır.

Draft facebinder example.jpg

Yüz kaplama ile katı duvarların yüzlerinden oluşturulmuş


Nasıl kullanılır

  1. Bir yüz seçin veya Ctrl tuşunu basılı tutun ve katı nesnelerden birkaç yüz seçin.
  2. {{Button | Draft Facebinder.png [[Draft_Facebinder/tr |Taslak Yüz kaplama]}} düğmesine basın veya F ardından F tuşlarına basın.

Yüz kaplama, ağaç görünümündeki öğeye çift tıklayarak düzenlenebilir. Sonra nesnenin parçası olan yüzleri değiştirebilirsiniz.

  • Bir yüz eklemek için, 3D görünümünde katı bir nesnenin yüzüne tıklayın ve ardından Arch Add.svg Ekle düğmesine tıklayın.
  • Bir yüzü kaldırmak için listedeki alt öğelerden birini seçin ve ardından Arch Remove.svg Kaldır düğmesine tıklayın.
  • Düzenlemeyi tamamlamak için Esc veya OK düğmesine basınız.

Seçenekler

Bu nesnenin oluşturulurken hiçbir seçeneği yoktur. Yüz kaplama nesnesini oluşturmak için sadece seçilen yüzler kullanılacaktır.

Özellikler

Veri

  • DATA Extrusion: şeklin tüm yüzlerine uygulanacak bir ekstrüzyon kalınlığı belirtir.
  • DATA Remove Splitter: True ise, Ekstrüzerin iç kavşaklarını ekstrüzyon sırasında birleştirmeye çalışır.
  • DATA Sew: True ise, Ekstrüder üzerine ekstrüzyon sırasında topolojik bir dikiş işlemi gerçekleştirmeye çalışır.

Görünüm

  • VIEW Pattern: şeklin yüzünü doldurmak için bir Taslak Deseni belirtir. Bu özellik yalnızca VIEW Display Mode "Düz Çizgiler" ise çalışır.
  • VIEW Pattern Size: Taslak Deseni 'nin boyutunu belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Yüz kaplama aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Facebinder = makeFacebinder(selectionset, name="Facebinder")
  • Bir Facebinder nesnesini, FreeCADGui.Selection.getSelectionEx() tarafından döndürülenler gibi <code> SelectionObject 'ların bir listesi olan verilen choiceset nesnesinden oluşturur.</code>. * Sadece seçilen yüzler dikkate alınır.

Yüz kaplama kalınlığı Extrusion özniteliğinin üzerine yazılarak eklenebilir; değer milimetre cinsinden girilir.

Yüz kaplamanın yerleşimi, Placement özniteliğinin üzerine yazarak veya Placement.Base ve Placement.Rotation özniteliklerinin üzerine yazılarak değiştirilebilir.

Örnek:

import FreeCAD, FreeCADGui, Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# Pick any two side faces, and then
selection = FreeCADGui.Selection.getSelectionEx()
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)